GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Typedefs | Functions
iomgr_internal.h File Reference
`#include "src/core/iomgr/iomgr.h"`
`#include <grpc/support/sync.h>`

Go to the source code of this file.

## Data Structures
struct | grpc_iomgr_object

## Typedefs
typedef struct grpc_iomgr_object | grpc_iomgr_object

## Functions
int | grpc_maybe_call_delayed_callbacks (gpr_mu *drop_mu, int success)
void | grpc_iomgr_add_delayed_callback (grpc_iomgr_closure *iocb, int success)
| As per grpc_iomgr_add_callback, with the ability to set the success argument. More...
void | grpc_iomgr_register_object (grpc_iomgr_object *obj, const char *name)
void | grpc_iomgr_unregister_object (grpc_iomgr_object *obj)
void | grpc_iomgr_platform_init (void)
void | grpc_iomgr_platform_shutdown (void)

## Typedef Documentation

typedef struct grpc_iomgr_object grpc_iomgr_object

## Function Documentation

void grpc_iomgr_add_delayed_callback | ( | grpc_iomgr_closure * | iocb,
|  | int | success
| ) |  |

As per grpc_iomgr_add_callback, with the ability to set the success argument.

void grpc_iomgr_platform_init | ( | void |  | ) |

void grpc_iomgr_platform_shutdown | ( | void |  | ) |

void grpc_iomgr_register_object | ( | grpc_iomgr_object * | obj,
|  | const char * | name
| ) |  |

void grpc_iomgr_unregister_object | ( | grpc_iomgr_object * | obj | ) |

int grpc_maybe_call_delayed_callbacks | ( | gpr_mu * | drop_mu,
|  | int | success
| ) |  |